precision mediump float;
varying vec2 vTexCoord;
uniform sampler2D sTexture; 
uniform float alpha;

void main(){
	vec4 color = texture2D(sTexture,vTexCoord);
	float a = color.a * alpha;
	color.a = a;
	gl_FragColor = color;
}