precision mediump float;
varying vec2 vTexCoord;
uniform sampler2D sTexture; 

void main(){

    float a0 = 0.3086;
    float a1 = 0.6094;
    float a2 = 0.0820;
    
	vec4 color = texture2D(sTexture,vTexCoord);
	
	float redResult   = (a0 * color.r) + (a1 * color.g) + (a2 * color.b) ;
	float greenResult = redResult;
	float blueResult  = redResult;
	float alphaResult = color.a;
	
	gl_FragColor = vec4(redResult,greenResult,blueResult,alphaResult);
}